Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASD0

    java.lang.Object
      org.netlib.lapack.SLASD0

    public class SLASD0

extends java.lang.Object

    SLASD0 is a simplified interface to the JLAPACK routine slasd0.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Using a divide and conquer approach, SLASD0 computes the singular
     *  value decomposition (SVD) of a real upper bidiagonal N-by-M
     *  matrix B with diagonal D and offdiagonal E, where M = N + SQRE.
     *  The algorithm computes orthogonal matrices U and VT such that
     *  B = U * S * VT. The singular values S are overwritten on D.
     *
     *  A related subroutine, SLASDA, computes only the singular values,
     *  and optionally, the singular vectors in compact form.
     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         On entry, the row dimension of the upper bidiagonal matrix.
     *         This is also the dimension of the main diagonal array D.
     *
     *  SQRE   (input) INTEGER
     *         Specifies the column dimension of the bidiagonal matrix.
     *         = 0: The bidiagonal matrix has column dimension M = N;
     *         = 1: The bidiagonal matrix has column dimension M = N+1;
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry D contains the main diagonal of the bidiagonal
     *         matrix.
     *         On exit D, if INFO = 0, contains its singular values.
     *
     *  E      (input) REAL array, dimension (M-1)
     *         Contains the subdiagonal entries of the bidiagonal matrix.
     *         On exit, E has been destroyed.
     *
     *  U      (output) REAL array, dimension at least (LDQ, N)
     *         On exit, U contains the left singular vectors.
     *
     *  LDU    (input) INTEGER
     *         On entry, leading dimension of U.
     *
     *  VT     (output) REAL array, dimension at least (LDVT, M)
     *         On exit, VT' contains the right singular vectors.
     *
     *  LDVT   (input) INTEGER
     *         On entry, leading dimension of VT.
     *
     *  SMLSIZ (input) INTEGER
     *         On entry, maximum size of the subproblems at the
     *         bottom of the computation tree.
     *
     *  IWORK  (workspace) INTEGER array, dimension (8*N)
     *
     *  WORK   (workspace) REAL array, dimension (3*M**2+2*M)
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an singular value did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ming Gu and Huan Ren, Computer Science Division, University of
     *     California at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SLASD0()`

Method Summary
`static void` | `SLASD0(int n, int sqre, float[] d, float[] e, float[][] u, float[][] vt, int smlsiz, int[] iwork, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASD0

    public SLASD0()

Method Detail

### SLASD0

    public static void SLASD0(int n,
                              int sqre,
                              float[] d,
                              float[] e,
                              float[][] u,
                              float[][] vt,
                              int smlsiz,
                              int[] iwork,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD